A* Pathfinding Project

Editor problem with beta version


#1

Greetings,

I just upgraded my A* license from Pro 3.X to Pro 4.X because I am working on a new project that requires pathfinding on Spherical terrain.

I installed the “4.1.20 Pro, spherical beta” and it works wonder, my agent are pathing around both objects provided in the package.

However, when I try to change the settings of the Astar Path script in the editor, I get the following error.

Thank you very much for your time and the awesome package! :slight_smile:


#2

I downgraded my Unity to 2018.3.13f1 and the problem seems to be partially gone, I can see a greater part of the editor and can change the graphs, but I still get the console error spamming up. (No bugs if I downgrade all the way to 2018.1.9f2)

Is there any way to import the Spherical Beta into the newest version of Unity / A*?

Thanks again! :slight_smile:


#3

Hi

The spherical beta is still stuck at an older version for now I’m afraid.